Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.search
Class IndexManagerFactory

    java.lang.Object
      com.google.appengine.api.search.IndexManagerFactory

Deprecated. As of 1.6.3, replaced by `SearchServiceFactory`.

    @Deprecated
    public final class IndexManagerFactory

extends java.lang.Object

An factory that creates default implementation of `IndexManager`.

       IndexManager indexManager = IndexManagerFactory.newIndexManager();

Optionally, you may pass the namespace to be associated with a created index manager

       IndexManager acmeIndexManager = IndexManagerFactory.newIndexManager("acme");

Method Summary
`static IndexManager` | `newIndexManager()` Deprecated. Creates and returns an instance of the `IndexManager`.
`static IndexManager` | `newIndexManager(java.lang.String namespace)` Deprecated. Creates and returns an instance of the `IndexManager`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newIndexManager

    public static IndexManager newIndexManager()

  Deprecated.
  Creates and returns an instance of the `IndexManager`. The manager uses either the namespace set on the `NamespaceManager`, or, if none was set, an empty namespace.

  Returns:
    the default implementation of `IndexManager`.

### newIndexManager

    public static IndexManager newIndexManager(java.lang.String namespace)

  Deprecated.
  Creates and returns an instance of the `IndexManager`. The manager uses the user provided namespace. The namespace must be valid, as per `NamespaceManager.validateNamespace(String)` method.

  Parameters:
    `namespace` - a namespace to be assigned to the returned index manager
  Returns:
    the default implementation of `IndexManager`.
  Throws:
    `java.lang.IllegalArgumentException` - if the namespace is invalid

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD